//
// module data
// (c) 5.5.2006 Ingo D. Rullhusen
//

#include "module_data.h"


ModuleData::ModuleData()
{
   x = y = z = 0.0;
   theta = phi = 0.0;
   Il = complex<double>( 1.0, 0.0 );

   ux[0] = 1.0;
   ux[1] = 0.0;
   ux[2] = 0.0;

   uy[0] = 0.0;
   uy[1] = 1.0;
   uy[2] = 0.0;

   uz[0] = 0.0;
   uz[1] = 0.0;
   uz[2] = 1.0;
}

ModuleData::ModuleData( const ModuleData *d )
{
   *this = *d;
}
