//
// auxiliary stuff
// (c) 18.4.2007 Ingo D. Rullhusen
//

#ifndef AUX_H
#define AUX_H

#include <math.h>

#include <fstream>
#include <string>

using namespace std;


void goto_next_line( fstream &file );

string get_section_label( fstream &file, bool skip );

string get_quoted_string( fstream &file );

string checksum( string fname );

void normal( double tp1[3], double tp2[3], double tp3[3], double nv[3] );

void umkugel( double no, double *cp_x, double *cp_y, double *cp_z,
              double *s_x, double *s_y, double *s_z,
              double &R, double CP[3] );


inline double HYPOT( double x, double y, double z ){ return(sqrt(x*x+y*y+z*z)); }
inline double SQU( double x ){ return(x*x); }


#endif
