//
// Class for far-field
// (c) 19.5.2006 Ingo D. Rullhusen
//

#ifndef FARFIELD_H
#define FARFIELD_H


#include "fieldx.h"


class FARFIELD
{
   public:
      int nox, noy, noz;
      complex<double> *FFT_Jx, *FFT_Jy, *FFT_Jz;
      double delta_kx, delta_ky, delta_kz;
      double lpos_x, lpos_y, lpos_z;

      FARFIELD( FIELDx *f, int pad_x, int pad_y, int pad_z );
      ~FARFIELD();

      void FT_J( complex<double> ftj[3], double kx, double ky, double kz, int itpl );
      void E_ff( complex<double> E[3], double x, double y, double z, int itpl );

      double rad_power( int notheta, int nophi, int itpl );

   private:
      double k0;
      complex<double> facE;
};


#endif
