//
// Class for field grid
// (c) 14.4.2006 Ingo D. Rullhusen
//

#ifndef FIELD_H
#define FIELD_H


#include <complex>

using namespace std;


#define FIELD_version_ -123


typedef struct { complex<double> x, y, z; } cVECTOR;


class FIELD
{
   public:
      int nox, noy, noz;
      cVECTOR *Einc, *Escatt, *J;
      double delta_x, delta_y, delta_z;
      double lpos_x, lpos_y, lpos_z;
};


#endif
