//
// Class for field grid
// (c) 28.7.2006 Ingo D. Rullhusen
//

#ifndef FIELDx_H
#define FIELDx_H


#include <complex>

#include "field.h"
#include "maindatax.h"

using namespace std;


class FIELDx : public FIELD
{
   public:
      double k0;

      FIELDx( MainDataX MD );
      ~FIELDx();

      void set2zero();

      void E_inc( double x, double y, double z, complex<double> E[3] );
      void E_scatt( double x, double y, double z, complex<double> E[3] );
      void E_total( double x, double y, double z, complex<double> E[3] );

      void E_Jtotal_sum( double x, double y, double z, complex<double> E[3] );

   private:
      void itpl( double x, double y, double z,
                 int &no, int **index, double **ipf );
};


#endif
