/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/


#include "global_vars.h"


void GeoViewer::control_toggled()
{
   emit geo_control_toggled( GeoMatrix->isChecked(),
                             GeoRHS->isChecked(),
                             GeoExtract->isChecked(),
                             AIMgrid->isChecked() );
}




int GeoViewer::exec_geo()
{
   OGLviewer->setup_geo();
   OGLviewer->display_geo( GeoMatrix->isChecked(),
                           GeoRHS->isChecked(),
                           GeoExtract->isChecked(),
                           AIMgrid->isChecked() );
   return( exec() );
}
