//
// log stream class
// (c) 12.3.2007 Ingo D. Rullhusen
//

#ifndef LOGSTREAM_H
#define LOGSTREAM_H

#include <fstream>
#include <complex>

#include <qstring.h>

using namespace std;


class LOGstream
{
   public:
      ~LOGstream();

      void open( const char *filename );

      LOGstream& operator<<( const QString str );
      LOGstream& operator<<( const double d );
      LOGstream& operator<<( const complex<double> c );

      LOGstream& operator<<( ostream&(*rhs)(ostream&) );

   private:
      ofstream logfile;
};


#endif
