//
// OpenGL Widget (scan)
// (c) 27.4.2006 Ingo D. Rullhusen
//

#ifndef OGLSCAN_H
#define OGLSCAN_H

#include <GL/gl.h>

#include "ogldrawing.h"


class OGLscan : public OGLdrawing
{
   Q_OBJECT

   public:
      OGLscan( QWidget* parent, const char* name );
      ~OGLscan();


   public slots:
      void clearall();

      void setup_geo();
      void display_scan( double theta, double phi, double psi,
                         double pol,
                         double start, double stop, int samples );

   signals:
      void parameter_changed( double theta, double phi, double psi,
                              double pol,
                              double start, double stop, int samples );

   private:
      GLuint partlist;

};


#endif
