//
// Dummy Class for QLocale
// (c) 13.9.2006 Ingo D. Rullhusen
//

#ifndef QLOCALE
#define QLOCALE

#include <locale.h>


class QLocale
{
   public:
      QLocale(){ snprintf( glo, 30, "%s", setlocale(LC_ALL,NULL) );
                 snprintf( loc, 30, "%s", getenv("LANG") );
               }

      QString toString ( double i, char f = 'g', int prec = 6 )
      {
         setlocale( LC_NUMERIC, loc );
         snprintf( buff1, 30, "%%.%i%c", prec, f );
         snprintf( buff2, 30, buff1, i );
         setlocale( LC_NUMERIC, glo );
         return( buff2 );
      }

      double toDouble ( const QString & s, bool * ok = 0 ) const
      {
         if ( ok != NULL ) *ok = true;
         setlocale( LC_NUMERIC, loc );
         double d = atof( s.c_str() );
         setlocale( LC_NUMERIC, glo );
         return( d );
      }

      int toInt ( const QString & s, bool * ok = 0 ) const 
      {
         if ( ok != NULL ) *ok = true;
         setlocale( LC_NUMERIC, loc );
         int i = atoi( s.c_str() );
         setlocale( LC_NUMERIC, glo );
         return( i );
      }

   private:
      char glo[ 30 ];
      char loc[ 30 ];

      char buff1[ 30 ];
      char buff2[ 30 ];
};


#endif
