//
// Dummy Class for QString
// (c) 6.6.2007 Ingo D. Rullhusen
//

#ifndef QSTRING
#define QSTRING

#include <string>
#include <vector>

using namespace std;


class QString: public string
{
   public:
      QString(){ assign(""); }
      QString( char *s ){ assign( ( s==NULL ? "" : s ) ); };
      QString( string s ){ assign(s); };

      QString setNum( int i )
      { snprintf(buff, 30, "%i",i); assign(buff); return(*this); }
      QString section( char sep, int start, int end = -1 ) const
      { int st = -1;
        vector<int> sp; sp.clear(); sp.push_back(st+1);
        while ( ( st=find( sep, st+1 ) ) > -1 ){ sp.push_back(st+1); }
        sp.push_back(size()+1);

        int s = start;
        while ( s < 0 ) s += sp.size()-1;
        if ( s > (int)sp.size()-1 ) s = sp.size()-1;
        int e = end;
        while ( e < 0 ) e += sp.size()-1;
        if ( e > (int)sp.size()-1 ) e = sp.size()-1;

        return( substr( sp[s], sp[e+1]-sp[s]-1 ) );
      };

      QString arg( QString s )
      { replace( find("%1"), 2, s ); return(*this); };
      QString arg( int i )
      { snprintf(buff, 30, "%i",i); replace( find("%1"), 2, buff ); return(*this); };

   private:
      char buff[ 30 ];
};


#endif
