//
// module data
// (c) 22.3.2006 Ingo D. Rullhusen
//

#include "module_data.h"


ModuleData::ModuleData()
{
   theta = phi = psi = 0.0;
   E0 = complex<double>( 1.0, 0.0 );

   uE[0] = 1.0;
   uE[1] = 0.0;
   uE[2] = 0.0;

   uH[0] = 0.0;
   uH[1] = 1.0;
   uH[2] = 0.0;

   uk[0] = 0.0;
   uk[1] = 0.0;
   uk[2] = 1.0;
}

ModuleData::ModuleData( const ModuleData *d )
{
   *this = *d;
}
