//
// Class for density plot
// (c) 24.5.2006 Ingo D. Rullhusen
//

#ifndef DENSITY_H
#define DENSITY_H

#include "drawing.h"


class Density : public Drawing
{
   Q_OBJECT

public:
   Density( QWidget *parent = 0, const char *name = 0 );
   ~Density();

protected:
   void wheelEvent( QWheelEvent* e );

public slots:
   void replot( bool profile, bool block );
   void replot_mark( int w );

signals:
   void got_wheel_event( int delta );


private:
   bool wm;
   QCanvasLine *wml1, *wml2;

};


#endif
