<!DOCTYPE CW><CW>
<customwidgets>
    <customwidget>
        <class>Density</class>
        <header location="local">density.h</header>
        <sizehint>
            <width>100</width>
            <height>100</height>
        </sizehint>
        <container>0</container>
        <sizepolicy>
            <hordata>3</hordata>
            <verdata>3</verdata>
        </sizepolicy>
        <pixmap>
            <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
        </pixmap>
        <signal>mouseButtonPressed( QMouseEvent* e )</signal>
        <signal>resized()</signal>
        <signal>got_wheel_event( int delta )</signal>
        <signal>mouseMoved( QMouseEvent* e )</signal>
        <slot access="public">setBkgColor( QColor c )</slot>
        <slot access="public">clear()</slot>
        <property type="Color">BackgroundColor</property>
    </customwidget>
    <customwidget>
        <class>Plotting</class>
        <header location="local">plotting.h</header>
        <sizehint>
            <width>100</width>
            <height>100</height>
        </sizehint>
        <container>0</container>
        <sizepolicy>
            <hordata>3</hordata>
            <verdata>3</verdata>
        </sizepolicy>
        <pixmap>
            <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
        </pixmap>
        <signal>mouseButtonPressed( QMouseEvent *e )</signal>
        <signal>resized()</signal>
        <slot access="public">clear()</slot>
        <slot access="public">setBkgColor( QColor )</slot>
        <slot access="public">setFrColor( QColor )</slot>
        <slot access="public">setTicsLen( int )</slot>
        <slot access="public">setNumSty( QString )</slot>
        <slot access="public">setStdFont( QFont )</slot>
        <slot access="public">setThickness( uint )</slot>
        <slot access="public">setMsize( uint )</slot>
        <property type="Color">FrameColor</property>
        <property type="Int">TicsLength</property>
        <property type="String">NumberStyle</property>
        <property type="Font">StdFont</property>
        <property type="UInt">LineThickness</property>
        <property type="UInt">MarkSize</property>
        <property type="Color">BackgroundColor</property>
    </customwidget>
    <customwidget>
        <class>OGLscan</class>
        <header location="local">oglscan.h</header>
        <sizehint>
            <width>100</width>
            <height>100</height>
        </sizehint>
        <container>0</container>
        <sizepolicy>
            <hordata>3</hordata>
            <verdata>3</verdata>
        </sizepolicy>
        <pixmap>
            <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
        </pixmap>
        <signal>parameter_changed( double, double, double, double, double, double, int )</signal>
        <slot access="public">reset_rotation()</slot>
        <slot access="public">clearall()</slot>
        <slot access="public">setup_geo()</slot>
        <slot access="public">display_scan( double, double, double, double, double, double, int )</slot>
        <slot access="public">setViewRadius( double )</slot>
        <slot access="public">setBkgColor( QColor )</slot>
        <slot access="public">setBkgColor()</slot>
        <slot access="public">setViewRadius()</slot>
        <property type="Color">BackgroundColor</property>
    </customwidget>
    <customwidget>
        <class>OGL3dpattern</class>
        <header location="local">ogl3dpattern.h</header>
        <sizehint>
            <width>100</width>
            <height>100</height>
        </sizehint>
        <container>0</container>
        <sizepolicy>
            <hordata>3</hordata>
            <verdata>3</verdata>
        </sizepolicy>
        <pixmap>
            <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
        </pixmap>
        <signal>gotFocus()</signal>
        <signal>got_wheel_event( int delta )</signal>
        <slot access="public">reset_rotation()</slot>
        <slot access="public">setBkgColor( QColor )</slot>
        <slot access="public">display_pattern( bool, bool, bool, bool, bool )</slot>
        <slot access="public">setViewRadius( double )</slot>
        <slot access="public">export_image()</slot>
        <slot access="public">setAnaglyph( bool )</slot>
        <property type="Color">BackgroundColor</property>
        <property type="Bool">Anaglyph</property>
    </customwidget>
    <customwidget>
        <class>OGLW</class>
        <header location="local">oglw.h</header>
        <sizehint>
            <width>100</width>
            <height>100</height>
        </sizehint>
        <container>0</container>
        <sizepolicy>
            <hordata>3</hordata>
            <verdata>3</verdata>
        </sizepolicy>
        <pixmap>
            <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
        </pixmap>
        <slot access="public">clearall()</slot>
        <slot access="public">reset_rotation()</slot>
        <slot access="public">setBkgColor( QColor c )</slot>
        <slot access="public">display_matrix()</slot>
        <slot access="public">display_RHS()</slot>
        <slot access="public">display_extract()</slot>
        <slot access="public">setup_geo()</slot>
        <slot access="public">export_image()</slot>
        <slot access="public">setViewRadius( double r )</slot>
        <slot access="public">display_geo( bool, bool, bool, bool )</slot>
        <slot access="public">slot()</slot>
        <slot access="public">setAnaglyph( bool a )</slot>
        <property type="Color">BackgroundColor</property>
        <property type="Bool">Anaglyph</property>
    </customwidget>
</customwidgets>
</CW>
