TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release

LIBS	+= -lblas -llapack -lgfortran -lqt-mt -lfreetype -lfftw3 -lqassistantclient -lGL

DEFINES	+= BOUNDARY_CHECK VERSION=$$system(./version)

HEADERS	+= maindata.h \
	module_interface.h \
	module_header.h \
	auxiliary.h \
	logstream.h \
	MyEvents.h \
	state.h \
	ogldrawing.h \
	oglw.h \
	auxiliary_qt.h \
	aimdata.h \
	graph.h \
	sparse_matrix.h \
	nearmatrix.h \
	global_vars.h \
	green.h \
	aimsolver.h \
	aimfield.h \
	field.h \
	fieldx.h \
	maindatax.h \
	drawing.h \
	plotting.h \
	oglscan.h \
	rotmat.h \
	farfield.h \
	ogl3dpattern.h \
	legendre.h \
	zero.h \
	density.h

SOURCES	+= main.cpp \
	module_interface.cpp \
	auxiliary.cpp \
	logstream.cpp \
	state.cpp \
	ogldrawing.cpp \
	oglw.cpp \
	auxiliary_qt.cpp \
	aimdata.cpp \
	graph.cpp \
	sparse_matrix.cpp \
	nearmatrix.cpp \
	green.cpp \
	aimsolver.cpp \
	aimfield.cpp \
	fieldx.cpp \
	maindatax.cpp \
	drawing.cpp \
	plotting.cpp \
	oglscan.cpp \
	rotmat.c \
	farfield.cpp \
	ogl3dpattern.cpp \
	legendre.c \
	zero.c \
	density.cpp

FORMS	= mainform.ui \
	gantlabproject.ui \
	propertyeditor.ui \
	geoviewer.ui \
	extraction.ui \
	pattern2d.ui \
	pattern3d.ui \
	densityform.ui \
	about.ui

IMAGES	= images/gantlab_logo.png \
	images/balken.png \
	images/haken.png \
	images/kreuz.png

TRANSLATIONS	= gANTlab_de.ts
DEFAULTCODEC	= UTF-8


unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}
