//
// OpenGL Widget
// (c) 18.4.2006 Ingo D. Rullhusen
//

#ifndef OGLW_H
#define OGLW_H

#include <GL/gl.h>

#include "ogldrawing.h"


class OGLW : public OGLdrawing
{
   Q_OBJECT

   public:
      OGLW( QWidget* parent, const char* name );
      ~OGLW();


   public slots:
      void clearall();

      void setup_geo();
      void display_geo( bool mat, bool rhs, bool extract, bool grid );

      void export_image();

   private:
      GLuint partlist;

      QString GetSavePicName();
};


#endif
