//
// Dummy Class for QLineEdit
// (c) 25.10.2006 Ingo D. Rullhusen
//

#ifndef QLINEEDIT
#define QLINEEDIT


#include <string>

class QLineEdit
{
   public:
      QLineEdit( string str="" ) : txt(str), mod(false) {}

      void setText( const QString &str ){ txt = str; }
      QString text() const { return(txt); }

      bool isModified() const { return(mod); }
      void clearModified(){ mod = false; }

      void blockSignals( bool block ){}

   private:
      string txt;
      bool mod;
};


#endif
