//
// Dummy Class for QProgressDialog
// (c) 6.6.2007 Ingo D. Rullhusen
//

#ifndef QPROGRESSDIALOG_H
#define QPROGRESSDIALOG_H

#include <iostream>

#include "qstring.h"


class QProgressDialog
{
   public:
      QProgressDialog( QString str, QString cancel,
                       int no, void *MW,
                       QString progress, bool modal ) : max(no)
      { cout << str << ":     "; };

      ~QProgressDialog(){ cout << endl; }

      void setProgress( int i )
      {
         if ( max > 0 )
         {  snprintf(buff, 5, "%3i%%",(100*i)/max);
            cout << "\b\b\b\b" << buff << flush;
         }
         else
         {  cout << "\b\b\b\b";
            switch ( i%6 )
            {
               case 0: { cout << "|---"; break; }
               case 5:
               case 1: { cout << "-|--"; break; }
               case 4:
               case 2: { cout << "--|-"; break; }
               case 3: { cout << "---|"; break; }
            }
            cout << flush;
         }
      };

      void cancel(){};
      bool wasCanceled() const { return(false); };

      static QString tr( QString str ){ return(str); }

   private:
      char buff[ 5 ];
      int max;
};


#endif
